---
updatedAt: 2026-06-30T19:18:18.000Z
agentTools:
  projectIndex: https://developer.crunchtime.com/llms.txt
---

# getAllScheduledExportsV1

Retrieve a list of individual export files generated through Event Scheduling (Scheduled Exports) or manually in Outbound Integrations. Does not include files associated with managed partner integrations. 
 Results may be used with the downloadScheduledExport endpoint to retrieve file contents, and with the markScheduledExport endpoint to update export file records to indicate that they have been downloaded.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Swagger documentation supporting mobile development of Crunchtime.",
    "version": "3.05",
    "title": "Cruise Platform",
    "termsOfService": "http://springfox.io",
    "contact": {
      "name": "Crunchtime Development Team",
      "url": "http://www.crunchtime.com",
      "email": "apiquestions@crunchtime.com"
    },
    "license": {
      "name": "Apache License Version 2.0",
      "url": "https://github.com/springfox/springfox/blob/master/LICENSE"
    }
  },
  "tags": [
    {
      "name": "Scheduled Export Service",
      "description": "The Scheduled Export service is an API that Crunchtime customers can use to download export files that have been generated via Scheduled Events in Enterprise Manager and convert the file content to JSON."
    }
  ],
  "paths": {
    "/cruise/scheduledexport/v1/getAllScheduledExports": {
      "get": {
        "tags": [
          "Scheduled Export Service"
        ],
        "summary": "getAllScheduledExportsV1",
        "description": "Retrieve a list of individual export files generated through Event Scheduling (Scheduled Exports) or manually in Outbound Integrations. Does not include files associated with managed partner integrations. \n Results may be used with the downloadScheduledExport endpoint to retrieve file contents, and with the markScheduledExport endpoint to update export file records to indicate that they have been downloaded.",
        "operationId": "getAllScheduledExportsV1UsingGET",
        "parameters": [
          {
            "name": "authenticationtoken",
            "in": "header",
            "description": "Secure token for API authentication.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "exportDate",
            "in": "query",
            "description": "Export Date to retrieve in format DD-MMM-YY.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "exportStatus",
            "in": "query",
            "description": "Export Status to retrieve. If null, all Exports meeting the criteria of the Query Params will be returned. Statuses are: \n(1) Returns records for manually created exports; \n(2) Returns records for Scheduled Export files ready for download; \n(3) Returns records for Scheduled Export files already downloaded by CDP or any files “marked” as downloaded; \n(5) Returns records Marked as not successfully downloaded.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "extractName",
            "in": "query",
            "description": "Export file type name to explicitly retrieve. These file type names appear in parentheses in the “Transaction Type” column in Outbound Integrations.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fileName",
            "in": "query",
            "description": "Specific export file name to explicitly retrieve. Use 4 or more characters for wildcard search. Note that these file names are not visible in the Outbound Integrations screen.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "password",
            "in": "header",
            "description": "Password for the Crunchtime Application User.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "postDate",
            "in": "query",
            "description": "Post Date to retrieve in format DD-MMM-YY.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sitename",
            "in": "header",
            "description": "Crunchtime site identifier. (test or production)",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "userid",
            "in": "header",
            "description": "User ID for the Crunchtime Application User.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "userIdForDetails",
            "in": "query",
            "description": "All export files are associated with a particular Application User's User ID. This is the value displayed in the “User” column in Outbound Integrations for the relevant file or file batch.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-B3-TraceId",
            "in": "header",
            "description": "Optional trace identifier for troubleshooting.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "includeNull",
            "in": "query",
            "description": "Specify 'true' to output null data elements.",
            "required": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "exportType",
            "in": "query",
            "description": "General export file type to explicitly retrieve. File types are: \nMAPPABLE_AP_TRANS_TYPE (Accounts Payable), \nMAPPABLE_SALES_TYPE (Sales), \nMAPPABLE_INVENTORY_TOTALS_TYPE (Inventory Totals), \nMAPPABLE_INVENTORY_DELTA_TYPE (Inventory Delta), \nMAPPABLE_LOC_TRANSFERS_TYPE (Location Transfers), \nMAPPABLE_AR_TRANS_TYPE (Accounts Receivable), \nMAPPABLE_CUSTOM_TRANS_TYPE (Custom Transactions), \nEMPLOYEE_MAINTENANCE (Employee Maintenance), \nMAPPABLE_EMPLOYEE_POS_TYPE (Employee POS), \n MAPPABLE_LABOR_SCHEDULE_TYPE (Labor Schedule), \nMAPPABLE_PAYROLL_TYPE (Payroll), \nUSER_DEFINED (User Defined)",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "*/*": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ScheduledBatchExportFiles"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ScheduledBatchExportFiles"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Validation Error",
            "content": {
              "*/*": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ObjectError"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ObjectError"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Authorization",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "404": {
            "description": "Scheduled export not found",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "500": {
            "description": "Unexpected Error",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "503": {
            "description": "System under maintenance",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "504": {
            "description": "Timeout",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    }
  },
  "externalDocs": {
    "description": "Using CrunchTime APIs Documentation",
    "url": "https://links.crunchtime.com/SG-UsingCrunchtimeAPIs?pd01=api"
  },
  "servers": [
    {
      "url": "//webservices-test.net-chef.com"
    }
  ],
  "components": {
    "schemas": {
      "ObjectError": {
        "type": "object",
        "properties": {
          "arguments": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "code": {
            "type": "string"
          },
          "codes": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "defaultMessage": {
            "type": "string"
          },
          "objectName": {
            "type": "string"
          }
        },
        "title": "ObjectError"
      },
      "ScheduledBatchExportFiles": {
        "type": "object",
        "properties": {
          "batchId": {
            "type": "integer",
            "format": "int64",
            "example": 4160,
            "description": "Batch Number for export file. Required to retrieve file contents through downloadScheduledExport."
          },
          "exportDate": {
            "type": "string",
            "example": "01/29/2024 11:25:04",
            "description": "Export Date of the export file."
          },
          "exportStatus": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "Export Status of the export file: \n(1) Manually created exports (“N/A” in Outbound Integrations); \n(2) Scheduled Export file ready for download (“CDP No” in Outbound Integrations); \n(3) Scheduled Export file already downloaded by CDP or “marked” as downloaded (“CDP Yes” in Outbound Integrations); \n(5) Returns records Marked as not successfully downloaded (uncommon, but may happen with CDP download attempt)."
          },
          "exportType": {
            "type": "string",
            "example": "MAPPABLE_SALES_TYPE",
            "description": "\"exportType\" from scheduled export",
            "enum": [
              "EMPLOYEE_MAINTENANCE",
              "EPICOR_PLATINUM",
              "INVENTORY_TOTALS",
              "MAPPABLE_AP_TRANS_TYPE",
              "MAPPABLE_AR_TRANS_TYPE",
              "MAPPABLE_CUSTOM_TRANS_TYPE",
              "MAPPABLE_EMPLOYEE_POS_TYPE",
              "MAPPABLE_INVENTORY_DELTA_TYPE",
              "MAPPABLE_INVENTORY_TOTALS_TYPE",
              "MAPPABLE_LABOR_SCHEDULE_TYPE",
              "MAPPABLE_LOC_TRANSFERS_TYPE",
              "MAPPABLE_PAYROLL_TYPE",
              "MAPPABLE_SALES_TYPE",
              "MAPPABLE_STANDARD_AP_TYPE",
              "PAYROLL",
              "SALES",
              "STANDARD_AP",
              "STANDARD_INVENTORY_DELTA",
              "STANDARD_LOCATION_TRANSFERS",
              "USER_DEFINED"
            ]
          },
          "extractHistoryId": {
            "type": "integer",
            "format": "int64",
            "example": 1650348,
            "description": "Numeric identifier for the individual export file. Required to retrieve file contents through downloadScheduledExport."
          },
          "extractName": {
            "type": "string",
            "example": "STANDARD",
            "description": "Export file type (or mapping) name."
          },
          "fileName": {
            "type": "string",
            "example": "SALESNE_4160",
            "description": "File name of the individual export file."
          },
          "postDate": {
            "type": "string",
            "example": "01/22/2024",
            "description": "Post Date for file contents, if applicable. Note that some USER_DEFINED files are assigned a file-level Post Date of 12/31/1990 even if their contents are Post Date-specific."
          },
          "user": {
            "type": "string",
            "example": "APIDOWNLOAD",
            "description": "User ID of the Application User associated with the individual export file. This is the value displayed in the “User” column in Outbound Integrations for the relevant file or file batch and correlates to the “userIdForDetails” query param."
          }
        },
        "title": "ScheduledBatchExportFiles",
        "description": "ScheduledBatchExportFiles description"
      }
    }
  }
}
```